Tool
mail_contact_update
Update a contact (properties or unsubscribed flag)
Update a contact (properties or unsubscribed flag)
Behavior
- HTTP
PATCH /mail/audiences/:audienceId/contacts/:id
Arguments
Name | Type | Required | Description |
|---|---|---|---|
id | string | • | Contact id |
properties | object | — | Replace the custom properties object |
audience_id | string | • | Audience id |
unsubscribed | boolean | — | Set the marketing opt-out flag |
Response
Field | Type | Always | Description |
|---|---|---|---|
id | string | • | Contact id |
email | string | • | Contact email address, normalized to lowercase |
createdAt | string | • | When the contact was created (ISO 8601 UTC) |
updatedAt | string | • | When the contact was last modified (ISO 8601 UTC) |
audienceId | string | • | Audience the contact belongs to |
properties | string | — | Custom key/value properties (e.g. first_name, last_name) |
unsubscribed | boolean | • | Marketing opt-out flag for this audience |
Try it
Update a contact (properties or unsubscribed flag).